package com.supServer.framework.security.mode;

import com.supServer.project.entity.UserInfo;


public class RegisterBody extends UserInfo {

    private String companyName;

    private String creditCode;

    private String status;

    private String companyData;

    private String legalPersonData;

    private String legalPerson;

    private Double registeredCapital;

    private String registeredDate;

    private String registeredAddress;

    private String addressDetail;

    private String briefing;

    private String licenseUrl;

    private String cardUrl;

    private int catId;

    private String fileUrl;

    private String source;

    private String smsCode;

    private String fileName;

    public String getCompanyName() {
        return companyName;
    }

    public void setCompanyName(String companyName) {
        this.companyName = companyName;
    }

    public String getCreditCode() {
        return creditCode;
    }

    public void setCreditCode(String creditCode) {
        this.creditCode = creditCode;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getCompanyData() {
        return companyData;
    }

    public void setCompanyData(String companyData) {
        this.companyData = companyData;
    }

    public String getLegalPersonData() {
        return legalPersonData;
    }

    public void setLegalPersonData(String legalPersonData) {
        this.legalPersonData = legalPersonData;
    }

    public String getLegalPerson() {
        return legalPerson;
    }

    public void setLegalPerson(String legalPerson) {
        this.legalPerson = legalPerson;
    }

    public Double getRegisteredCapital() {
        return registeredCapital;
    }

    public void setRegisteredCapital(Double registeredCapital) {
        this.registeredCapital = registeredCapital;
    }

    public String getRegisteredDate() {
        return registeredDate;
    }

    public void setRegisteredDate(String registeredDate) {
        this.registeredDate = registeredDate;
    }

    public String getRegisteredAddress() {
        return registeredAddress;
    }

    public void setRegisteredAddress(String registeredAddress) {
        this.registeredAddress = registeredAddress;
    }

    public String getAddressDetail() {
        return addressDetail;
    }

    public void setAddressDetail(String addressDetail) {
        this.addressDetail = addressDetail;
    }

    public String getBriefing() {
        return briefing;
    }

    public void setBriefing(String briefing) {
        this.briefing = briefing;
    }

    public String getLicenseUrl() {
        return licenseUrl;
    }

    public void setLicenseUrl(String licenseUrl) {
        this.licenseUrl = licenseUrl;
    }

    public String getCardUrl() {
        return cardUrl;
    }

    public void setCardUrl(String cardUrl) {
        this.cardUrl = cardUrl;
    }

    public int getCatId() {
        return catId;
    }

    public void setCatId(int catId) {
        this.catId = catId;
    }

    public String getFileUrl() {
        return fileUrl;
    }

    public void setFileUrl(String fileUrl) {
        this.fileUrl = fileUrl;
    }

    public String getSource() {
        return source;
    }

    public void setSource(String source) {
        this.source = source;
    }

    public String getSmsCode() {
        return smsCode;
    }

    public void setSmsCode(String smsCode) {
        this.smsCode = smsCode;
    }

    public String getFileName() {
        return fileName;
    }

    public void setFileName(String fileName) {
        this.fileName = fileName;
    }

    @Override
    public String toString() {
        return "RegisterBody{" +
                "companyName='" + companyName + '\'' +
                ", creditCode='" + creditCode + '\'' +
                ", status='" + status + '\'' +
                ", companyData='" + companyData + '\'' +
                ", legalPersonData='" + legalPersonData + '\'' +
                ", legalPerson='" + legalPerson + '\'' +
                ", registeredCapital=" + registeredCapital +
                ", registeredDate=" + registeredDate +
                ", registeredAddress='" + registeredAddress + '\'' +
                ", addressDetail='" + addressDetail + '\'' +
                ", briefing='" + briefing + '\'' +
                ", licenseUrl='" + licenseUrl + '\'' +
                ", cardUrl='" + cardUrl + '\'' +
                ", catId=" + catId +
                ", fileUrl='" + fileUrl + '\'' +
                ", source='" + source + '\'' +
                ", smsCode='" + smsCode + '\'' +
                ", fileName='" + fileName + '\'' +
                '}';
    }
}
